<?php

try {
    preg_match("/custom\/modules\/(.+?)\/Ext\/clients\/base/i", __FILE__, $matches);

    if(count($matches) > 1) {
        $module = $matches[1];

        $buttons = isset($viewdefs[$module]['base']['view']['record']['buttons']) ? $viewdefs[$module]['base']['view']['record']['buttons'] : array();

        if (!empty($buttons)) {
            foreach ($buttons as $key => $button) {
                if ($button['type'] == 'actiondropdown' && $button['name'] == 'main_dropdown') {
                    $viewdefs[$module]['base']['view']['record']['buttons'][$key]['buttons'][] = array(
                        'type' => 'divider',
                    );
                    $viewdefs[$module]['base']['view']['record']['buttons'][$key]['buttons'][] = array(
                        'type' => 'ife-msteams-rowaction',
                        'event' => 'button:ife_addto_msteams:click',
                        'name' => 'ife_addto_msteams_button',
                        'label' => 'LBL_IFE_ADD_TO_MSTEAMS',
                        'acl_action' => 'view',
                        'showOn' => 'view',
                    );
                    break;
                }
            }
        }
    }
}
catch(Exception $e) {
    $GLOBALS['log']->fatal("Implicit for Teams: Error - " . $e->getMessage());
}